﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace KendoUIMVC5.Models
{
    public class Student
    {
        public int Id { get; set; }
        public string FirstName { get; set; }

        public string LastName { get; set; }

        public DateTime Birthday { get; set; }

        public int Age { get; set; }

        [UIHint("ValidFromEditor")]
        public BoundedDateTimeVM ValidFrom { get; set; }
    }

    public class BoundedDateTimeVM
    {
        public DateTime? MinValue { get; set; }

        public DateTime? MaxValue { get; set; }

        public DateTime? Value { get; set; }
    }
}